Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.w3.org/1999/xhtml-netuix-modified/1.0.0
element i

Documentation

            italic font

Properties
  This component is not nillable.

Model
  `<i
  _onclick = Script
  _ondblclick = Script
  _onkeydown = Script
  _onkeypress = Script
  _onkeyup = Script
  _onmousedown = Script
  _onmousemove = Script
  _onmouseout = Script
  _onmouseover = Script
  _onmouseup = Script
  cssClass = xs:NMTOKENS
  dir = xs:token
  htmlId = xs:ID
  lang = LanguageCode
  lang = xs:language
  style = StyleSheet
  title = Text>
  ((a | ((br | span | bdo | map) | objecttag | img) | (tt | i | b | big | small) | (em | strong | dfn | code | q | samp | kbd | var | cite | abbr | acronym | sub | sup) | (inputbutton | inputcheckbox | inputfile | inputhidden | inputimage | inputpassword | inputradio | inputreset | inputsubmit | inputtext | select | textarea | label | button) ) | (ins | del | script) )*
  </i>`

Nested Element Summary
`` | `a`
`` | `abbr`
`` | `acronym`
`` | `b`
`` | `bdo`
`` | `big`
`` | `br`
`` | `button`
`` | `cite`
`` | `code`
`` | `del`
`` | `dfn`
`` | `em`
`` | `i`
`` | `img`
`` | `inputbutton`
`` | `inputcheckbox`
`` | `inputfile`
`` | `inputhidden`
`` | `inputimage`
`` | `inputpassword`
`` | `inputradio`
`` | `inputreset`
`` | `inputsubmit`
`` | `inputtext`
`` | `ins`
`` | `kbd`
`` | `label`
`` | `map`
`` | `objecttag`
`` | `q`
`` | `samp`
`` | `script`
`` | `select`
`` | `small`
`` | `span`
`` | `strong`
`` | `sub`
`` | `sup`
`` | `textarea`
`` | `tt`
`` | `var`

Attribute Summary
`Script` | `_onclick`
`Script` | `_ondblclick`
`Script` | `_onkeydown`
`Script` | `_onkeypress`
`Script` | `_onkeyup`
`Script` | `_onmousedown`
`Script` | `_onmousemove`
`Script` | `_onmouseout`
`Script` | `_onmouseover`
`Script` | `_onmouseup`
`xs:NMTOKENS` | `cssClass`
`xs:token` | `dir`
`xs:ID` | `htmlId`
`LanguageCode` | `lang`
`xs:language` | `lang` Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
`StyleSheet` | `style`
`Text` | `title`

Attribute Detail

### _onclick

Type:
  `Script`

Use:
  `optional`

Form:
  `unqualified`

### _ondblclick

Type:
  `Script`

Use:
  `optional`

Form:
  `unqualified`

### _onkeydown

Type:
  `Script`

Use:
  `optional`

Form:
  `unqualified`

### _onkeypress

Type:
  `Script`

Use:
  `optional`

Form:
  `unqualified`

### _onkeyup

Type:
  `Script`

Use:
  `optional`

Form:
  `unqualified`

### _onmousedown

Type:
  `Script`

Use:
  `optional`

Form:
  `unqualified`

### _onmousemove

Type:
  `Script`

Use:
  `optional`

Form:
  `unqualified`

### _onmouseout

Type:
  `Script`

Use:
  `optional`

Form:
  `unqualified`

### _onmouseover

Type:
  `Script`

Use:
  `optional`

Form:
  `unqualified`

### _onmouseup

Type:
  `Script`

Use:
  `optional`

Form:
  `unqualified`

### cssClass

Type:
  `xs:NMTOKENS`

Use:
  `optional`

Form:
  `unqualified`

### dir

Type:
  based on ``
  with :

Use:
  `optional`

Form:
  `unqualified`

### htmlId

Type:
  `xs:ID`

Use:
  `optional`

Form:
  `unqualified`

### lang

Type:
  `LanguageCode`

Use:
  `optional`

Form:
  `unqualified`

### lang

  Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information.

Type:
  `xs:language`

Use:
  `optional`

Form:
  `unqualified`

### style

Type:
  `StyleSheet`

Use:
  `optional`

Form:
  `unqualified`

### title

Type:
  `Text`

Use:
  `optional`

Form:
  `unqualified`

Source

      <xs:element name="i">
        <xs:complexType mixed="true">
          <xs:complexContent mixed="true">
            <xs:extension base="Inline">
              <xs:attributeGroup ref="attrs"/>
            </xs:extension>
          </xs:complexContent>
        </xs:complexType>
      </xs:element>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation